View Issue Details

IDProjectCategoryView StatusLast Update
0002788PluginsArclitepublic2016-06-13 11:26
ReporterpepakAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002788: Restore selection not working after ArcLite->Create archive
Description1) Select some files.
2) SHIFT+F1, ENTER
3) CTRL+M:
    a) Expected behavior: The files selected in step 1 are selected again.
    b) Actual behavior: Nothing happens.
TagsNo tags attached.

Relationships

has duplicate 0002787 closed Far Manager Restore selection not working after ArcLite->Create archive 
related to 0002767 closedDrKnS Plugins arclite сбрасывает выделение всех файлов после обработки первого элемента 
related to 0003217 new Plugins При создании архива через меню плагинов не сбрасывается выделение файлов 

Activities

2useven10

2015-10-05 13:15

developer   bugnote:0013962

Last edited: 2015-10-05 13:55

View 2 revisions

Плагин невиновен.
Всё делает фаровская обёртка из которой идёт вызов плагина.
Если быть точнее:
  SaveSelection() в FileList::PluginPutFilesToAnother().

DrKnS

2016-01-18 00:32

administrator   bugnote:0014224

Плагин виноват уж тем, что, позиционируясь на созданный архив, пытается перейти в папку, которая и так является текущей. А при смене папки старое выделение - всё, да.

Fixed in Arclite build 222.

Со стороны фара это, в принципе, тоже можно проверять и ничего не делать если плагин хочет странного и пытается перейти в текущую папку. Но не факт, там и без этого всё сложно.

Issue History

Date Modified Username Field Change
2014-09-02 11:08 pepak New Issue
2014-09-02 11:32 shmuel Relationship added has duplicate 0002787
2015-10-05 13:15 2useven10 Note Added: 0013962
2015-10-05 13:18 2useven10 Relationship added related to 0002767
2015-10-05 13:19 2useven10 Category Arclite => _Common
2015-10-05 13:19 2useven10 Project Plugins => Far Manager
2015-10-05 13:19 2useven10 Category _Common => Plugins Manager
2015-10-05 13:55 2useven10 Note Edited: 0013962 View Revisions
2016-01-18 00:32 DrKnS Note Added: 0014224
2016-01-18 00:32 DrKnS Assigned To => DrKnS
2016-01-18 00:32 DrKnS Status new => feedback
2016-02-09 10:47 DrKnS Category Plugins Manager => _Common
2016-02-09 10:47 DrKnS Project Far Manager => Plugins
2016-02-09 10:47 DrKnS Category _Common => Arclite
2016-02-09 10:47 DrKnS Status feedback => closed
2016-02-09 10:47 DrKnS Resolution open => fixed
2016-02-09 10:47 DrKnS Fixed in Version => 3.0
2016-06-13 11:26 2useven10 Relationship added related to 0003217